import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { DashboardComponent } from './components/dashboard/dashboard.component';
import { UserstoryTableComponent } from './components/tabels/userstory/userstory-table.component';
import { TaskTableComponent } from './components/tabels/task/task-table.component';
import { SprintTableComponent } from './components/tabels/sprint/sprint-table.component';
import { BacklogComponent } from './components/backlog/backlog.component';

const routes: Routes = [
  { path: 'tasks', component: TaskTableComponent },
  { path: 'userstories', component: UserstoryTableComponent },
  { path: 'dashboard', component: DashboardComponent },
  { path: 'sprints', component: SprintTableComponent },
  { path: 'backlog', component: BacklogComponent },
  { path: '', redirectTo: '/dashboard', pathMatch: 'full' },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
